checkmate::DualDfpn::OraclePool::Element Struct Reference

## Public Member Functions

| Element ()
| Element (const Dfpn::ProofOracle &o, PieceStand p, size_t i, bool c)

## Public Attributes

Dfpn::ProofOracle | oracle
PieceStand | proof_pieces
unsigned int | id
bool | in_check

## Detailed Description

Definition at line 33 of file dualDfpn.cc.

## Constructor & Destructor Documentation

## Element() [1/2]

checkmate::DualDfpn::OraclePool::Element::Element | ( |  | ) |

inline

Definition at line 39 of file dualDfpn.cc.

References id, in_check, and oracle.

## Element() [2/2]

checkmate::DualDfpn::OraclePool::Element::Element | ( | const Dfpn::ProofOracle & | o,
|  | PieceStand | p,
|  | size_t | i,
|  | bool | c )

inline

Definition at line 42 of file dualDfpn.cc.

References id, in_check, oracle, and proof_pieces.

## Member Data Documentation

## id

unsigned int checkmate::DualDfpn::OraclePool::Element::id

Definition at line 37 of file dualDfpn.cc.

Referenced by Element(), and Element().

## in_check

bool checkmate::DualDfpn::OraclePool::Element::in_check

Definition at line 38 of file dualDfpn.cc.

Referenced by Element(), and Element().

## oracle

Dfpn::ProofOracle checkmate::DualDfpn::OraclePool::Element::oracle

Definition at line 35 of file dualDfpn.cc.

Referenced by Element(), and Element().

## proof_pieces

PieceStand checkmate::DualDfpn::OraclePool::Element::proof_pieces

Definition at line 36 of file dualDfpn.cc.

Referenced by Element().

The documentation for this struct was generated from the following file:

- dualDfpn.cc